gr::radar::crop_matrix_vcvc Class Reference

This matrix crops a data matrix. A tagged stream combined with vectors as items represent a matrix. crop_x and crop_y gives the ranges which shall be pushed through. Rest of the matrix is lost. More...

`#include <crop_matrix_vcvc.h>`

Inheritance diagram for gr::radar::crop_matrix_vcvc:

## Public Types

typedef std::shared_ptr< crop_matrix_vcvc > | sptr

## Static Public Member Functions

static sptr | make (int vlen, std::vector< int > crop_x, std::vector< int > crop_y, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::crop_matrix_vcvc.

## Detailed Description

This matrix crops a data matrix. A tagged stream combined with vectors as items represent a matrix. crop_x and crop_y gives the ranges which shall be pushed through. Rest of the matrix is lost.

Parameters

  vlen | Vector length
  crop_x | Index range on x axis to crop matrix
  crop_y | Index range on y axis to crop matrix
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<crop_matrix_vcvc> gr::radar::crop_matrix_vcvc::sptr

## Member Function Documentation

## make()

sptr gr::radar::crop_matrix_vcvc::make | ( | int | vlen,
|  | std::vector< int > | crop_x,
|  | std::vector< int > | crop_y,
|  | std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::crop_matrix_vcvc.

To avoid accidental use of raw pointers, radar::crop_matrix_vcvc's constructor is in a private implementation class. radar::crop_matrix_vcvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- crop_matrix_vcvc.h